﻿using System;
using System.Threading;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Shouldly;

namespace Twainsoft.Articles.DNP.ShouldlyTests
{
    [TestClass]
    public class Tests
    {
        [TestMethod]
        public void ShouldBeGreaterThan()
        {
            1.ShouldBeGreaterThan(2);
        }

        [TestMethod]
        public void ShouldThrow()
        {
            Should.Throw<DivideByZeroException>(() => {
                var denominator = 0;
                var y = 100 / denominator;
            });
        }

        [TestMethod]
        public void CompleteIn()
        {
            Should.CompleteIn(() =>
            {
                Thread.Sleep(2000);
                
            }, TimeSpan.FromSeconds(1));
        }
    }
}
